Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 614176 - Cannot focus cursor on search bar after executing saved search from menu
Cannot focus cursor on search bar after executing saved search from menu
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: SearchBar (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
John Sanda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-13 15:24 EDT by John Sanda
Modified: 2010-08-12 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:54:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2010-07-13 15:24:25 EDT
Description of problem:
When I execute a saved search from the top-level menu, 'Resource Saved Searches', I am brought to the 'all' subtab'. The search bar is empty and when I click on it, it fails to gain focus.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Tested on build 139 of ci-rhq-release hudson job.
Comment 1 Joseph Marques 2010-07-13 15:28:20 EDT
commit 43b89bae5e0c1b0539002644890e3d2132d10f7c
Author: Joseph Marques <joseph@redhat.com>
Date:   Tue Jul 13 15:26:01 2010 -0400

BZ-614176: fix for selecting resource/group saved searches from the menu bar
    
* improve handling around "activiating" default search text and default savedSearch patterns
* change hidden param name from defaultSavedSearchPattern to defaultSavedSearchPatternId, to better imply what data is represents
* add the ability to load a default saved search pattern by id to the SavedSearchManager
Comment 2 John Sanda 2010-07-14 09:52:02 EDT
Verified that this has been fixed on build 152 of the ci-rhq-release hudson job.
Comment 3 Corey Welton 2010-08-12 12:54:08 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.